> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bookkeeping category by its ID



## OpenAPI

````yaml get /v1/bookkeeping-categories/{categoryId}
openapi: 3.0.1
info:
  title: Chart of Accounts API
  description: Bookkeeping Core OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team.actina@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 24.13.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: BookkeepingCore
    description: This resource is associated with the BookkeepingCore API
  - name: Accounts
    description: >
      This API enables you to create an account in Pleo, search for an account
      by its ID, update details of an account recorded in Pleo, delete an
      account from Pleo, or apply specific filters to retrieve a list of
      accounts managed in Pleo.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Aggregations
    description: >-
      This API enables you to read aggregated bookkeeping category groups.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Aggregated Contra Accounts
    description: >-
      This API enables you to read aggregated contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Categories
    description: >
      This API enables you to perform operations on a bookkeeping category.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Groups
    description: >-
      This API enables you to perform operations on a bookkeeping category
      group.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Contra Accounts
    description: >
      This API enables you to manage contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes..
  - name: Bookkeeping Preferences Resource
paths:
  /v1/bookkeeping-categories/{categoryId}:
    get:
      tags:
        - Bookkeeping Categories
      summary: Retrieve a bookkeeping category by its ID
      operationId: getBookkeepingCategoryV4
      parameters:
        - name: categoryId
          in: path
          description: ID of the bookkeeping category to retrieve.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
          example: 123e4567-e89b-12d3-a456-426614174015
      responses:
        '200':
          description: Bookkeeping category retrieved successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponseBookkeepingCategoryRestModelV4
              example:
                data:
                  accountId: 123e4567-e89b-12d3-a456-426614174008
                  archived: false
                  categoryGroupId: 123e4567-e89b-12d3-a456-426614174007
                  companyId: 123e4567-e89b-12d3-a456-426614174006
                  id: 123e4567-e89b-12d3-a456-426614174005
                  name: Office Supplies
                  taxCodeId: 123e4567-e89b-12d3-a456-426614174009
        '404':
          description: Bookkeeping category not found.
components:
  schemas:
    DataResponseBookkeepingCategoryRestModelV4:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BookkeepingCategoryRestModelV4'
    BookkeepingCategoryRestModelV4:
      required:
        - archived
        - categoryGroupId
        - companyId
        - id
        - name
      type: object
      properties:
        accountId:
          type: string
          description: >-
            Pleo's internal identifier of the bookkeeping account the
            bookkeeping category is associated with.
          format: uuid
          nullable: true
        archived:
          type: boolean
          description: >-
            Boolean flag used to determine if the bookkeeping category is
            archived.
        categoryGroupId:
          type: string
          description: >-
            Pleo's internal identifier of the bookkeeping category group the
            bookkeeping category is associated with.
          format: uuid
        companyId:
          type: string
          description: >-
            Pleo's internal identifier of the company the bookkeeping category
            is associated with.
          format: uuid
        id:
          type: string
          description: Pleo's internal identifier of the bookkeeping category.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the bookkeeping category.
        taxCodeId:
          type: string
          description: >-
            Pleo's internal identifier of the tax code the bookkeeping category
            is associated with.
          format: uuid
          nullable: true
      description: Represents a bookkeeping category in Pleo.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````